Margo WFM Team
Overview
Margo WFM API 2.5.0
Section titled “Margo WFM API 2.5.0”Overview
Margo Workload Fleet Manager (WFM) REST API for managing edge device fleets and workload deployments.
Authentication
All API endpoints require authentication via Bearer token or API key.
Bearer Token
Authorization: Bearer <jwt_token>
API Key
X-API-Key: <api_key>
Rate Limiting
- Default: 100 requests per minute
- Burst: 20 requests per second
Pagination
List endpoints support pagination via page and pageSize query parameters:
page: Page number (default: 1)pageSize: Items per page (default: 20, max: 100)
Filtering
Most list endpoints support filtering via query parameters specific to the resource.
Error Responses
All errors follow RFC 7807 Problem Details format.
Information
- License: Apache 2.0
- OpenAPI version:
3.0.0
Operations
Section titled “ Operations ”GET
/api/v1/devices DELETE
/api/v1/devices/{id} PATCH
/api/v1/devices/{id} DELETE
/api/v1/ca-certificates/{id} PATCH
/api/v1/groups/labels POST
/api/v1/groups/query DELETE
/api/v1/groups/devices DELETE
/api/v1/organizations/bulk DELETE
/api/v1/organizations/{id} GET
/api/v1/users POST
/api/v1/users DELETE
/api/v1/users/{id} POST
/api/v1/users/bulk POST
/api/v1/users/export GET
/api/v1/audit POST
/api/v1/me/password DELETE
/api/v1/me/sessions DELETE
/api/v1/system-roles/revoke DELETE
/api/v1/tenant/switch GET
/api/v1/activity DELETE
/api/v1/registries/git/{id} DELETE
/api/v1/registries/oci/{id} DELETE
/api/v1/applications/{id} POST
/api/v1/deployments DELETE
/api/v1/deployments/{id} Authentication
Section titled “ Authentication ”bearer
Section titled “bearer ”JWT authentication token
Security scheme type: http
Bearer format: JWT
api-key
Section titled “api-key ”API key for service-to-service communication
Security scheme type: apiKey
Header parameter name: X-API-Key